cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry

## Class RDE_O11

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.RDE_O11_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.RDE_O11

-     public final class RDE_O11
      extends RDE_O11_Common

  RDE_O11 - Pharmacy/Treatment Encoded Order Message (Event O11). This event is use for Pharmacy/Treatment Encoded Order Message.

  Represents a RDE_O11 message structure (see chapter 4A.3.5 ) This structure contains the following elements:

  0: MSH (Message Header segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  4: PATIENT (a Group in RDE_O11 message) SINGLE_OPTIONAL
  5: ORDER (a Group in RDE_O11 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  RDE_O11 objO11 = (RDE_O11)MessageFactory.createInstance().createSendSupportedMessage("RDE", "O11");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.orderentry.RDE_O11_Common

      `addNotesAndCommentsSegment, addNotesAndCommentsSegments, addOrderGroup, addOrderGroups, addSoftwareSegment, addSoftwareSegment, getNotesAndCommentsSegments, getOrderGroups, getPatientGroup, getSoftwareSegments, getUserAuthenticationCredentialSegment, setPatientGroup, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`